> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ドキュメント分割ジョブをIDで取得

> IDによって識別される1つのドキュメント分割ジョブの詳細を返します。これには、現在のステータス、入力定義、およびジョブによって生成される出力ファイルが含まれます。

> [!NOTE]
>
> 「[Box SDKのバージョニング戦略](https://developer.box.com/ja/guides/tooling/sdks/sdk-versioning.md)について詳しく学ぶ。」


## OpenAPI

````yaml box-openapi-v2026.0-jp.json GET /document_splits/{document_split_id}
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2026.0'
  x-box-commit-hash: 0274a35f73
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Automateワークフロー
    description: Automateワークフローのアクションをリストアップして手動で開始するためのエンドポイント。
    x-box-tag: automate_workflows
  - name: Box Noteに変換
    description: サポート対象のソースコンテンツ (マークダウンなど) からBox Notesを作成します。
    x-box-tag: notes
  - name: ドキュメント分割
    description: >-
      ページ割りされたソースドキュメントを、ユーザー定義のページ範囲またはAI生成のページ範囲に基づいて複数のファイルに分割するために使用される、一連のエンドポイント。
    x-box-tag: document_split
  - name: クエリ
    description: 項目に対するクエリ。
    x-box-tag: query
  - name: Shuttle
    description: >-
      外部ソースからBoxにコンテンツを移行するサービスであるBox
      Shuttleを管理するためのエンドポイント。これらのエンドポイントを使用して、Shuttleがコンテンツの移行元として使用するシステム、およびShuttleが実行する移行ジョブを管理します。
    x-box-tag: shuttle
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /document_splits/{document_split_id}:
    get:
      tags:
        - ドキュメント分割
      summary: ドキュメント分割ジョブをIDで取得
      description: >-
        IDによって識別される1つのドキュメント分割ジョブの詳細を返します。これには、現在のステータス、入力定義、およびジョブによって生成される出力ファイルが含まれます。
      operationId: get_document_splits_id_v2026.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
        - name: document_split_id
          in: path
          description: ドキュメント分割ジョブの一意の識別子。
          required: true
          schema:
            type: string
          example: '1748426'
      responses:
        '200':
          description: ドキュメント分割ジョブを返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentSplit'
        '401':
          description: '`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: 認証済みユーザーがドキュメント生成機能にアクセスできない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: ドキュメント分割ジョブが見つからないか、ユーザーがアクセスできない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '429':
          description: ユーザーが一定時間内に送信したリクエストが多すぎる場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2026.0'
      example: '2026.0'
  schemas:
    DocumentSplit:
      description: >-
        ドキュメント分割ジョブのStandard版の表示。このジョブは、ページ割りされたソースドキュメントを複数のファイルに分割するリクエストを表します。これは、各ページ範囲の手動指定、非線形のページ選択、またはスマートプロンプトによる分析に基づいて行われます。
      type: object
      properties:
        id:
          description: ドキュメント分割ジョブの一意の識別子。
          type: string
          example: '1748426'
        type:
          description: 値は常に`document_split`になります。
          type: string
          example: document_split
          enum:
            - document_split
        source_file:
          allOf:
            - $ref: '#/components/schemas/FileReference'
            - description: 分割するファイル。
        status:
          description: ドキュメント分割ジョブの現在の状態。
          type: string
          example: submitted
          enum:
            - submitted
            - completed
            - failed
            - completed_with_error
        split_input:
          allOf:
            - $ref: '#/components/schemas/DocumentSplitCreateRequestType'
            - description: >-
                分割の実行用に呼び出し元から提供された入力。形式はリクエストに応じて異なります。`manual`分割の場合、`split_input`には`split_type`および`split_definition`が含まれます。`page_selection`分割の場合、`split_input`には`split_type`および`page_selection`が含まれます。`smart`分割の場合、`split_input`には`split_type`および呼び出し元から提供された`prompt`が含まれます。スマート分割の場合、Boxによって生成されたページ範囲が`output.split_definition`として表示されます。
        output:
          description: ドキュメント分割ジョブの結果。ジョブが出力を生成するまでの間は`null`です。
          oneOf:
            - $ref: '#/components/schemas/DocumentSplitOutput'
            - title: OpenAPI 3.0 null schema type
              description: The definition for a null schema type in OpenAPI `3.0`.
              type: object
              nullable: true
              additionalProperties: false
        destination_folder:
          allOf:
            - $ref: '#/components/schemas/FolderReference'
            - description: 生成されたファイルが格納されたフォルダ。
        input_source:
          description: リクエストを開始したシステム。分析および追跡可能性のために使用されます。
          type: string
          example: api
          enum:
            - api
            - box
            - relay
            - salesforce
        created_at:
          description: ドキュメント分割ジョブの作成日時。
          type: string
          format: date-time
          example: '2023-10-26T15:30:00Z'
        created_by:
          allOf:
            - $ref: '#/components/schemas/User--Mini'
            - description: ドキュメント分割ジョブを作成したユーザー。
        enterprise:
          allOf:
            - $ref: '#/components/schemas/EnterpriseReference'
            - description: ドキュメント分割ジョブを所有している企業。
        failures:
          description: ドキュメント分割中に発生したエラーおよび警告。何も記録されていない場合は、`null`です。
          oneOf:
            - $ref: '#/components/schemas/DocumentSplitFailures'
            - title: OpenAPI 3.0 null schema type
              description: The definition for a null schema type in OpenAPI `3.0`.
              type: object
              nullable: true
              additionalProperties: false
        external_id:
          description: >-
            ドキュメント分割ジョブの生成時に呼び出し元から提供された識別子
            (省略可)。関連付けのためにのみ返されます。これはBoxリソースIDではなく、必ずしも一意ではないため、ジョブの参照には使用できません。
          type: string
          example: invoice-48291
          maxLength: 255
      required:
        - id
        - type
        - source_file
        - destination_folder
        - status
        - split_input
        - input_source
      title: ドキュメント分割
      x-box-resource-id: document_split_v2026.0
      x-box-tag: document_split
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2026.0
    FileReference:
      description: ファイル参照。
      type: object
      properties:
        type:
          description: 値は常に`file`になります。
          type: string
          example: file
          enum:
            - file
          nullable: false
        id:
          description: ファイルのID。
          type: string
          example: '42037322'
          nullable: false
      required:
        - type
        - id
      title: ファイル参照
    DocumentSplitCreateRequestType:
      description: サポートされるドキュメント分割作成リクエストタイプに対する検証ルール。
      oneOf:
        - $ref: '#/components/schemas/DocumentSplitCreateRequestManual'
        - $ref: '#/components/schemas/DocumentSplitCreateRequestPageSelection'
        - $ref: '#/components/schemas/DocumentSplitCreateRequestSmart'
      title: ドキュメント分割作成リクエストタイプ
      x-box-tag: document_split
    DocumentSplitOutput:
      description: 完了したドキュメント分割ジョブによって生成された一連のファイル。
      type: object
      properties:
        generated_files:
          description: 分割により作成されたファイルへの参照。
          type: array
          items:
            $ref: '#/components/schemas/FileReference'
        split_definition:
          description: >-
            `smart`分割でBoxが生成したページの範囲。各エントリはページ範囲が`[start, end]` (最初と最後のページを含む)
            である1個の生成済みファイルに対応しています。`manual`分割の場合は省略するか、`null`を指定します
            (呼び出し元が指定した範囲は`split_input.split_definition`にあります)。`page_selection`分割の場合は省略します
            (呼び出し元が指定したページレイアウトは`split_input.page_selection`にあります)。
          type: array
          items:
            $ref: '#/components/schemas/DocumentSplitPageRange'
          example:
            - start: 1
              end: 10
            - start: 11
              end: 25
          nullable: true
      title: ドキュメント分割の出力
      x-box-resource-id: document_split_output_v2026.0
      x-box-tag: document_split
    FolderReference:
      description: フォルダの参照。
      type: object
      properties:
        type:
          description: 値は常に`folder`になります。
          type: string
          example: folder
          enum:
            - folder
          nullable: false
        id:
          description: フォルダのID。
          type: string
          example: '42037322'
      required:
        - type
        - id
      title: フォルダの参照
    User--Mini:
      description: 他のリソース内にネストされたときに返される可能性があるユーザーのMini版の表示。
      type: object
      allOf:
        - $ref: '#/components/schemas/User--Base'
        - properties:
            name:
              description: このユーザーの表示名。
              type: string
              example: Aaron Levie
              maxLength: 50
            login:
              description: このユーザーのプライマリメールアドレス。
              type: string
              format: email
              example: ceo@example.com
      title: ユーザー (Mini)
    EnterpriseReference:
      description: 他のリソース内にネストされたときに使用される企業への参照。
      type: object
      properties:
        id:
          description: この会社の一意の識別子。
          type: string
          example: '1910967'
        type:
          description: 値は常に`enterprise`になります。
          type: string
          example: enterprise
          enum:
            - enterprise
          nullable: false
      required:
        - type
        - id
      title: 企業の参照
    DocumentSplitFailures:
      description: ドキュメント分割ジョブで発生したエラーおよび警告。
      allOf:
        - $ref: '#/components/schemas/DocumentFailures'
      title: ドキュメント分割の失敗
      x-box-resource-id: document_split_failures_v2026.0
      x-box-tag: document_split
    DocumentSplitCreateRequestManual:
      description: 呼び出し元から提供されたページ範囲を使用してドキュメント分割ジョブを作成するための検証ルール。
      type: object
      properties:
        split_type:
          description: 識別子。このバリアントでは`manual`にする必要があります。
          type: string
          example: manual
          enum:
            - manual
        version:
          description: >-
            手動分割入力形式のバージョン。省略、または`v_1`が従来の`split_definition`形式です。既存のクライアントはこのフィールドを省略できます。
          type: string
          example: v_1
          enum:
            - v_1
        split_definition:
          description: >-
            分割を定義するページ範囲。各エントリが、ページ範囲`[start, end]` (両端を含む)
            に対応する1つの出力ファイルを生成します。
          type: array
          items:
            $ref: '#/components/schemas/DocumentSplitPageRange'
          example:
            - start: 1
              end: 5
            - start: 6
              end: 14
          minItems: 1
      not:
        anyOf:
          - required:
              - prompt
          - required:
              - page_selection
      required:
        - split_type
        - split_definition
      title: ドキュメント分割手動作成リクエスト
      x-box-tag: document_split
    DocumentSplitCreateRequestPageSelection:
      description: >-
        非線形のページ選択を使用してドキュメント分割ジョブを作成するための検証ルール。各項目が、宣言されたページセグメントから1つの出力ファイルを生成します。
      type: object
      properties:
        split_type:
          description: 識別子。このバリアントでは`page_selection`にする必要があります。
          type: string
          example: page_selection
          enum:
            - page_selection
        version:
          description: ページ選択入力形式のバージョン (省略可)。指定する場合は、`v_2`とする必要があります。
          type: string
          example: v_2
          enum:
            - v_2
        page_selection:
          $ref: '#/components/schemas/DocumentSplitPageSelection'
      not:
        anyOf:
          - required:
              - prompt
          - required:
              - split_definition
      required:
        - split_type
        - page_selection
      title: ドキュメント分割ページ選択作成リクエスト
      x-box-tag: document_split
    DocumentSplitCreateRequestSmart:
      description: 呼び出し元から提供されたプロンプトに沿ってBoxが生成したページ範囲を使用してドキュメント分割ジョブを作成するための検証ルール。
      type: object
      properties:
        split_type:
          description: 識別子。このバリアントでは`smart`にする必要があります。
          type: string
          example: smart
          enum:
            - smart
        prompt:
          description: ページ範囲の自動検出を制御する自然言語プロンプト。
          type: string
          example: Split this contract into one file per signed section.
          minLength: 1
      not:
        anyOf:
          - required:
              - split_definition
          - required:
              - page_selection
      required:
        - split_type
        - prompt
      title: ドキュメント分割スマート作成リクエスト
      x-box-tag: document_split
    DocumentSplitPageRange:
      description: 最初と最後のページを含むページ範囲を使用して、手動ドキュメント分割ジョブの1つのスライスを定義します。
      type: object
      properties:
        start:
          description: このスライスに含まれる最初のページ (このページ自体を含む)。
          type: integer
          format: int32
          example: 1
          minimum: 1
        end:
          description: このスライスに含まれる最後のページ (このページ自体を含む)。
          type: integer
          format: int32
          example: 10
          minimum: 1
      additionalProperties: false
      required:
        - start
        - end
      title: ドキュメント分割のページ範囲
      x-box-tag: document_split
    User--Base:
      description: 他のリソース内にネストされたときに使用されるユーザーのMini版の表示。
      type: object
      properties:
        id:
          description: このユーザーの一意の識別子。
          type: string
          example: '11446498'
        type:
          description: 値は常に`user`になります。
          type: string
          example: user
          enum:
            - user
          nullable: false
      required:
        - type
        - id
      title: ユーザー (Base)
    DocumentFailures:
      description: ドキュメントジョブで発生したエラーおよび警告。
      type: object
      properties:
        errors:
          description: ドキュメントジョブで発生したエラーのリスト。
          type: array
          items:
            type: string
          example:
            - The source file could not be processed.
        warnings:
          description: ドキュメントジョブで発生した警告のリスト。
          type: array
          items:
            type: string
          example:
            - Some pages were skipped because they were blank.
      required:
        - errors
        - warnings
      title: ドキュメントエラー
    DocumentSplitPageSelection:
      description: >-
        ドキュメント分割ジョブのための非連続なページ選択を定義します。この配列内の項目ごとに、宣言されたページセグメントを集約したPDFドキュメントが1個生成されます。
      type: array
      items:
        $ref: '#/components/schemas/DocumentSplitPageSelectionItem'
      example:
        - name: exhibits
          segments:
            - type: single_page
              page: 4
            - type: single_page
              page: 8
            - type: page_range
              start: 6
              end: 8
      minItems: 1
      title: ドキュメント分割のページ選択
      x-box-tag: document_split
    DocumentSplitPageSelectionItem:
      description: ページ選択リクエスト内の1個の出力ファイル定義。項目ごとに、セグメント配列によって指定されたページが含まれたPDFが1個生成されます。
      type: object
      properties:
        name:
          description: (省略可) 出力ファイルの名前 (拡張子なし)。省略した場合、ソースファイルの名前を基にした番号付きの名前が自動的に生成されます。
          type: string
          example: exhibits
          minLength: 1
        segments:
          description: この出力ファイルに含めるページセグメントを順に記載したリスト。セグメントごとに、単一のページまたは連続的なページ範囲1つを指定します。
          type: array
          items:
            $ref: '#/components/schemas/DocumentSplitPageSelectionSegment'
          example:
            - type: single_page
              page: 4
            - type: page_range
              start: 6
              end: 8
          minItems: 1
      required:
        - segments
      title: ドキュメント分割のページ選択の項目
      x-box-tag: document_split
    DocumentSplitPageSelectionSegment:
      description: >-
        ページ選択項目の中の1つのページセグメント。`type`フィールドによって、そのセグメントが1つのページであるか1つのページ範囲
        (最初と最後のページを含む) であるかを指定します。
      oneOf:
        - $ref: '#/components/schemas/DocumentSplitPageSelectionSinglePage'
        - $ref: '#/components/schemas/DocumentSplitPageSelectionPageRange'
      title: ドキュメント分割のページ選択のセグメント
      x-box-tag: document_split
    DocumentSplitPageSelectionSinglePage:
      description: ソースドキュメントの1つのページが含まれているページ選択セグメント。
      type: object
      properties:
        type:
          description: 識別子。このバリアントでは`single_page`にする必要があります。
          type: string
          example: single_page
          enum:
            - single_page
        page:
          description: 含める1つのページ番号。
          type: integer
          format: int32
          example: 4
          minimum: 1
      additionalProperties: false
      required:
        - type
        - page
      title: ドキュメント分割のページ選択の1つのページ
      x-box-tag: document_split
    DocumentSplitPageSelectionPageRange:
      description: ソースドキュメントのページ範囲 (最初と最後のページを含む) が含まれているページ選択セグメント。
      type: object
      properties:
        type:
          description: 識別子。このバリアントでは`page_range`にする必要があります。
          type: string
          example: page_range
          enum:
            - page_range
        start:
          description: このセグメントに含まれる最初のページ (このページ自体を含む)。
          type: integer
          format: int32
          example: 6
          minimum: 1
        end:
          description: このセグメントに含まれる最後のページ (このページ自体を含む)。
          type: integer
          format: int32
          example: 8
          minimum: 1
      additionalProperties: false
      required:
        - type
        - start
        - end
      title: ドキュメント分割のページ選択のページ範囲
      x-box-tag: document_split
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````